Subject: [bug#32162] [PATCH] gnu: Add nethack

From: [email-masked] (Ludovic Courtès)
Date: Tue, 17 Jul 2018 23:00:38 +0200

Anonymous <[email-masked]> skribis:

>> Rather:
>>
>>   (for-each (lambda (file)
>>               (install-file file
>>                             (string-append … "/games/lib/nethackuserdir")))
>>             '(…))
>
> I wasn't able to use install-file, since I want the file to be moved, not
> copied. Let me know if there's a guile way to move a file (I couldn't find
> one).

You could use ‘rename-file’, which works like rename(2) in C.

> The other changes are incorporated into the patch which I think I just
> send with git send-email.

Alright, thanks!

Ludo’.